﻿using FluentNHibernate.Mapping;

namespace UnitTestIssue.Model
{
    public class UserMap : ClassMap<User>
    {
        public UserMap()
        {
            Cache.ReadOnly();
            Table("Security_User");
            Id(x => x.Id).Column("UserId").GeneratedBy.Native();
            Map(x => x.Name).Column("UserName").Length(30);
            Map(x => x.FullName).Column("FullName").Length(250);
            Map(x => x.IsDeleted);
            Map(x => x.CreationDate);
            Map(x => x.CertificateThumbprint).Length(40);
            Map(x => x.DomainUserName).Length(250);
            Map(x => x.EMail).Length(255);
        }
    }
}